# Generated by Django 4.0 on 2022-12-07 00:58

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import recruitment2.utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('employee', '0009_alter_empspecialize_name'),
        ('custom', '0007_adninfo'),
    ]

    operations = [
        migrations.CreateModel(
            name='RecAspect',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=20, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecAspectOps',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=20, null=True)),
                ('aspect', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='recruitment2.recaspect')),
            ],
        ),
        migrations.CreateModel(
            name='RecCandidate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=150, null=True, verbose_name='Naran Kandidatu')),
                ('phone', models.CharField(blank=True, max_length=20, null=True, verbose_name='No. Kontaktu')),
                ('email', models.CharField(blank=True, max_length=20, null=True)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('university', models.CharField(blank=True, max_length=200, null=True, verbose_name='Universidade')),
                ('is_lock', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecDiploma',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecObj',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total', models.IntegerField(blank=True, null=True)),
                ('date', models.DateField(blank=True, null=True)),
                ('file', models.FileField(blank=True, null=True, upload_to=recruitment2.utils.upload_rec_prop, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Attach Proposal')),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('obj', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2plan', to='recruitment2.recobj', verbose_name='Objetivu')),
                ('unit', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2plan', to='custom.unit')),
            ],
        ),
        migrations.CreateModel(
            name='RecPlanPos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total', models.IntegerField(blank=True, null=True)),
                ('file', models.FileField(blank=True, null=True, upload_to=recruitment2.utils.upload_rec_tor, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Attach ToR')),
                ('is_lock', models.BooleanField(default=False, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='recplanpos', to='recruitment2.recplan')),
            ],
        ),
        migrations.CreateModel(
            name='RecPos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecTeamPos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ShortListCat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='RecTeam',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('employee', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2team', to='employee.employee')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2team', to='recruitment2.recplan')),
                ('position', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2team', to='recruitment2.recteampos')),
            ],
        ),
        migrations.CreateModel(
            name='RecSchedule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(blank=True, null=True)),
                ('subject', models.CharField(blank=True, max_length=100, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='recschedule', to='recruitment2.recplan')),
            ],
        ),
        migrations.CreateModel(
            name='RecPlanTrack',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_lock', models.BooleanField(default=False, null=True)),
                ('is_send', models.BooleanField(default=False, null=True)),
                ('is_approve', models.BooleanField(default=False, null=True)),
                ('is_publish', models.BooleanField(default=False, null=True)),
                ('is_finish', models.BooleanField(default=False, null=True)),
                ('reject_comment', models.TextField(blank=True, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2plantrack', to='recruitment2.recplan')),
            ],
        ),
        migrations.CreateModel(
            name='RecPlanPosAspect',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('aspect', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='recruitment2.recaspect', verbose_name='Aspetu')),
                ('aspectops', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='recruitment2.recaspectops', verbose_name='Kriteria')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='recplancataspect', to='recruitment2.recplan')),
                ('plan_pos', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='recplancataspect', to='recruitment2.recplanpos', verbose_name='Kategoria')),
            ],
        ),
        migrations.AddField(
            model_name='recplanpos',
            name='position',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='recplanpos', to='recruitment2.recpos'),
        ),
        migrations.CreateModel(
            name='RecCandWritten',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Valor')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandwritten', to='recruitment2.reccandidate')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandwritten', to='recruitment2.recplan')),
                ('team', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandwritten', to='recruitment2.recteam')),
            ],
        ),
        migrations.CreateModel(
            name='RecCandScore',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('short_list_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('written_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('oral_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('final_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('obs', models.CharField(choices=[('Passa', 'Passa'), ('La Passa', 'La Passa')], max_length=10, null=True)),
                ('is_lock', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandscore', to='recruitment2.reccandidate')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandscore', to='recruitment2.recplan')),
            ],
        ),
        migrations.CreateModel(
            name='RecCandOral',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Valor')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandoral', to='recruitment2.reccandidate')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandoral', to='recruitment2.recplan')),
                ('team', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandoral', to='recruitment2.recteam')),
            ],
        ),
        migrations.AddField(
            model_name='reccandidate',
            name='diploma',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2candidate', to='recruitment2.recdiploma'),
        ),
        migrations.AddField(
            model_name='reccandidate',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2candidate', to='recruitment2.recplan'),
        ),
        migrations.AddField(
            model_name='reccandidate',
            name='plan_pos',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rec2candidate', to='recruitment2.recplanpos'),
        ),
        migrations.CreateModel(
            name='RecCandDoc',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('comment', models.CharField(blank=True, max_length=200, null=True, verbose_name='Komentariu')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccanddoc', to='recruitment2.reccandidate')),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccanddoc', to='recruitment2.recplan')),
                ('short_list_cat', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccanddoc', to='recruitment2.shortlistcat')),
                ('team', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccanddoc', to='recruitment2.recteam')),
            ],
        ),
    ]
