# Generated by Django 4.0 on 2022-12-07 01:27

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import recruitment2.utils


class Migration(migrations.Migration):

    dependencies = [
        ('employee', '0009_alter_empspecialize_name'),
        ('custom', '0007_adninfo'),
        ('auth', '0012_alter_user_first_name_max_length'),
        ('recruitment2', '0003_recplan_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='Candidate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=150, null=True, verbose_name='Naran Kandidatu')),
                ('phone', models.CharField(blank=True, max_length=20, null=True, verbose_name='No. Kontaktu')),
                ('email', models.CharField(blank=True, max_length=20, null=True)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('university', models.CharField(blank=True, max_length=200, null=True, verbose_name='Universidade')),
                ('is_lock', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='CandOral',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Valor')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candoral', to='recruitment2.candidate')),
            ],
        ),
        migrations.CreateModel(
            name='CandScore',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('short_list_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('written_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('oral_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('final_score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('obs', models.CharField(choices=[('Passa', 'Passa'), ('La Passa', 'La Passa')], max_length=10, null=True)),
                ('is_lock', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candscore', to='recruitment2.candidate')),
            ],
        ),
        migrations.CreateModel(
            name='CandShortList',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True)),
                ('comment', models.CharField(blank=True, max_length=200, null=True, verbose_name='Komentariu')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candshortlist', to='recruitment2.candidate')),
            ],
        ),
        migrations.CreateModel(
            name='CandWritten',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Valor')),
                ('datetime', models.DateTimeField(blank=True, null=True)),
                ('hashed', models.CharField(blank=True, max_length=32, null=True)),
                ('candidate', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candwritten', to='recruitment2.candidate')),
            ],
        ),
        migrations.CreateModel(
            name='Painel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('employee', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='painel', to='employee.employee')),
            ],
        ),
        migrations.CreateModel(
            name='Plan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total', models.IntegerField(blank=True, null=True)),
                ('date', models.DateField(blank=True, null=True)),
                ('file', models.FileField(blank=True, null=True, upload_to=recruitment2.utils.upload_rec_prop, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Attach Proposal')),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PlanPos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total', models.IntegerField(blank=True, null=True)),
                ('file', models.FileField(blank=True, null=True, upload_to=recruitment2.utils.upload_rec_tor, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Attach ToR')),
                ('is_lock', models.BooleanField(default=False, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='planpos', to='recruitment2.plan')),
            ],
        ),
        migrations.CreateModel(
            name='PlanPosAspect',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='PlanTrack',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_lock', models.BooleanField(default=False, null=True)),
                ('is_send', models.BooleanField(default=False, null=True)),
                ('is_approve', models.BooleanField(default=False, null=True)),
                ('is_publish', models.BooleanField(default=False, null=True)),
                ('is_finish', models.BooleanField(default=False, null=True)),
                ('reject_comment', models.TextField(blank=True, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='plantrack', to='recruitment2.plan')),
            ],
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(blank=True, null=True)),
                ('subject', models.CharField(blank=True, max_length=100, null=True)),
                ('plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='schedule', to='recruitment2.plan')),
            ],
        ),
        migrations.RemoveField(
            model_name='reccandidate',
            name='diploma',
        ),
        migrations.RemoveField(
            model_name='reccandidate',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='reccandidate',
            name='plan_pos',
        ),
        migrations.RemoveField(
            model_name='reccandidate',
            name='user',
        ),
        migrations.RemoveField(
            model_name='reccandoral',
            name='candidate',
        ),
        migrations.RemoveField(
            model_name='reccandoral',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='reccandoral',
            name='team',
        ),
        migrations.RemoveField(
            model_name='reccandoral',
            name='user',
        ),
        migrations.RemoveField(
            model_name='reccandscore',
            name='candidate',
        ),
        migrations.RemoveField(
            model_name='reccandscore',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='reccandscore',
            name='user',
        ),
        migrations.RemoveField(
            model_name='reccandwritten',
            name='candidate',
        ),
        migrations.RemoveField(
            model_name='reccandwritten',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='reccandwritten',
            name='team',
        ),
        migrations.RemoveField(
            model_name='reccandwritten',
            name='user',
        ),
        migrations.RemoveField(
            model_name='recplan',
            name='obj',
        ),
        migrations.RemoveField(
            model_name='recplan',
            name='unit',
        ),
        migrations.RemoveField(
            model_name='recplan',
            name='user',
        ),
        migrations.RemoveField(
            model_name='recplanpos',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='recplanpos',
            name='position',
        ),
        migrations.RemoveField(
            model_name='recplanposaspect',
            name='aspect',
        ),
        migrations.RemoveField(
            model_name='recplanposaspect',
            name='aspectops',
        ),
        migrations.RemoveField(
            model_name='recplanposaspect',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='recplanposaspect',
            name='plan_pos',
        ),
        migrations.RemoveField(
            model_name='recplantrack',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='recschedule',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='recteam',
            name='employee',
        ),
        migrations.RemoveField(
            model_name='recteam',
            name='plan',
        ),
        migrations.RemoveField(
            model_name='recteam',
            name='position',
        ),
        migrations.RenameModel(
            old_name='RecAspect',
            new_name='Aspect',
        ),
        migrations.RenameModel(
            old_name='RecAspectOps',
            new_name='AspectOps',
        ),
        migrations.RenameModel(
            old_name='RecTeamPos',
            new_name='Diploma',
        ),
        migrations.RenameModel(
            old_name='RecDiploma',
            new_name='Objective',
        ),
        migrations.RenameModel(
            old_name='RecObj',
            new_name='Position',
        ),
        migrations.RenameModel(
            old_name='RecPos',
            new_name='TeamPos',
        ),
        migrations.DeleteModel(
            name='RecCandDoc',
        ),
        migrations.DeleteModel(
            name='RecCandidate',
        ),
        migrations.DeleteModel(
            name='RecCandOral',
        ),
        migrations.DeleteModel(
            name='RecCandScore',
        ),
        migrations.DeleteModel(
            name='RecCandWritten',
        ),
        migrations.DeleteModel(
            name='RecPlan',
        ),
        migrations.DeleteModel(
            name='RecPlanPos',
        ),
        migrations.DeleteModel(
            name='RecPlanPosAspect',
        ),
        migrations.DeleteModel(
            name='RecPlanTrack',
        ),
        migrations.DeleteModel(
            name='RecSchedule',
        ),
        migrations.DeleteModel(
            name='RecTeam',
        ),
        migrations.AddField(
            model_name='planposaspect',
            name='aspect',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='recruitment2.aspect', verbose_name='Aspetu'),
        ),
        migrations.AddField(
            model_name='planposaspect',
            name='aspectops',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='recruitment2.aspectops', verbose_name='Kriteria'),
        ),
        migrations.AddField(
            model_name='planposaspect',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='planposaspect', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='planposaspect',
            name='plan_pos',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='planposaspect', to='recruitment2.planpos', verbose_name='Kategoria'),
        ),
        migrations.AddField(
            model_name='planpos',
            name='position',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='planpos', to='recruitment2.position'),
        ),
        migrations.AddField(
            model_name='plan',
            name='objective',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='plan', to='recruitment2.objective', verbose_name='Objetivu'),
        ),
        migrations.AddField(
            model_name='plan',
            name='unit',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='plan', to='custom.unit'),
        ),
        migrations.AddField(
            model_name='plan',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user'),
        ),
        migrations.AddField(
            model_name='painel',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='painel', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='painel',
            name='position',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='painel', to='recruitment2.teampos'),
        ),
        migrations.AddField(
            model_name='candwritten',
            name='painel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candwritten', to='recruitment2.painel'),
        ),
        migrations.AddField(
            model_name='candwritten',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candwritten', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='candwritten',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user'),
        ),
        migrations.AddField(
            model_name='candshortlist',
            name='painel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candshortlist', to='recruitment2.painel'),
        ),
        migrations.AddField(
            model_name='candshortlist',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candshortlist', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='candshortlist',
            name='short_list_cat',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candshortlist', to='recruitment2.shortlistcat'),
        ),
        migrations.AddField(
            model_name='candscore',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candscore', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='candscore',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reccandscoreuser', to='auth.user'),
        ),
        migrations.AddField(
            model_name='candoral',
            name='painel',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candoral', to='recruitment2.painel'),
        ),
        migrations.AddField(
            model_name='candoral',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candoral', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='candoral',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user'),
        ),
        migrations.AddField(
            model_name='candidate',
            name='diploma',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candidate', to='recruitment2.diploma'),
        ),
        migrations.AddField(
            model_name='candidate',
            name='plan',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candidate', to='recruitment2.plan'),
        ),
        migrations.AddField(
            model_name='candidate',
            name='plan_pos',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='candidate', to='recruitment2.planpos'),
        ),
        migrations.AddField(
            model_name='candidate',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user'),
        ),
    ]
