from django.urls import path
from . import views

urlpatterns = [
	###
	path('c/list/', views.cRecPlanList, name="rec2-c-plan-list"),
	path('hr/add/', views.cRecPlanAdd, name="rec2-c-plan-add"),
	path('hr/attach/add/<str:hashid>/', views.cRecPlanAttachAdd, name="rec2-c-plan-attach-add"),
	path('hr/attach/update/<str:hashid>/', views.cRecPlanAttachUpdate, name="rec2-c-plan-attach-update"),
	path('hr/attach/delete/<str:hashid>/<str:hashid2>/', views.cRecPlanAttachDelete, name="rec2-c-plan-attach-delete"),
	path('hr/view-attach/<str:hashid>/', views.RecFilePDF, name="rec2-c-plan-attach-view"),
	path('hr/unit/add/<str:hashid>/', views.cRecPlanUnitAdd, name="rec2-c-plan-unit-add"),
	path('hr/unit/update/<str:hashid>/', views.cRecPlanUnitUpdate, name="rec2-c-plan-unit-update"),
	path('hr/update/<str:hashid>/', views.cRecPlanUpdate, name="rec2-c-plan-update"),
	path('c/detail/<str:hashid>/', views.cRecPlanDetail, name="rec2-c-plan-detail"),
	#
	path('c/pos/add/<str:hashid>/', views.cRecPlanPosAdd, name="rec2-c-planpos-add"),
	path('c/pos/update/<str:hashid>/<str:pk>/', views.cRecPlanPosUpdate, name="rec2-c-planpos-update"),
	path('c/pos/detail/<str:hashid>/<str:pk>/', views.cRecPlanPosDetail, name="rec2-c-planpos-detail"),
	#
	path('c/pos/asp/add/<str:hashid>/<str:pk>/<str:pk2>/', views.cRecPlanPosAspAdd, name="rec2-c-planposasp-add"),
	path('c/pos/asp/delete/<str:hashid>/<str:pk>/<str:pk2>/', views.cRecPlanPosAspDelete, name="rec2-c-planposasp-delete"),
	###
	path('lock/<str:pk>/', views.RecPlanTrackLock, name="rec2-c-plan-lock"),
	path('unlock/<str:pk>/', views.RecPlanTrackUnLock, name="rec2-c-plan-unlock"),
	path('send/<str:pk>/', views.RecPlanTrackSend, name="rec2-c-plan-send"),
	path('appr/<str:pk>/', views.RecPlanTrackAppr, name="rec2-de-plan-appr"),
	path('rej/<str:pk>/', views.RecPlanTrackRej, name="rec2-de-plan-rej"),
	path('pub/<str:pk>/', views.RecPlanTrackPub, name="rec2-hr-plan-pub"),
	path('finish/<str:pk>/', views.RecPlanTrackFinish, name="rec2-hr-plan-finish"),
	path('tor/pdf/<str:pk>/', views.RecTorPDF, name="rec2-tor-pdf"),
	path('prop/pdf/<str:hashid>/', views.RecPropPDF, name="rec2-prop-pdf"),
	###
	path('pr/list/', views.deRecPlanList, name="rec2-de-plan-list"),
	path('pr/detail/<str:hashid>/', views.deRecPlanDetail, name="rec2-de-plan-detail"),
	path('pr/pos/detail/<str:hashid>/<str:pk>/', views.deRecPlanPosDetail, name="rec2-de-planpos-detail"),
	path('pr/cand/list/<str:hashid>/', views.deRecCandList, name="rec2-de-cand-list"),	
	path('pr/cand/detail/<str:hashid>/<str:hashid2>/', views.deRecCandDetail, name="rec2-de-cand-detail"),
	path('pr/cand/result/list/<str:hashid>/<str:pk>/', views.deRecCandResultList, name="rec2-de-cand-result-list"),
	path('cand/result/detail/<str:hashid>/<str:pk>/<str:pk2>/', views.deRecCandResultDet, name="rec2-de-cand-result-det"),
	###
	path('hr/list/', views.hrRecPlanList, name="rec2-hr-plan-list"),
	path('hr/detail/<str:hashid>/', views.hrRecPlanDetail, name="rec2-hr-plan-detail"),
	path('hr/pos/detail/<str:hashid>/<str:pk>/', views.hrRecPlanPosDetail, name="rec2-hr-planpos-detail"),
	#
	path('hr/team/add/<str:hashid>/<str:pk>/', views.hrRecTeamAdd, name="rec2-hr-team-add"),
	path('hr/team/update/<str:hashid>/<str:pk>/', views.hrRecTeamUpdate, name="rec2-hr-team-update"),
	path('hr/team/delete/<str:hashid>/<str:pk>/', views.hrRecTeamDelete, name="rec2-hr-team-delete"),
	#
	path('hr/cand/list/<str:hashid>/', views.hrRecCandList, name="rec2-hr-cand-list"),
	path('hr/cand/add/<str:hashid>/', views.hrRecCandAdd, name="rec2-hr-cand-add"),
	path('hr/cand/update/<str:hashid>/<str:hashid2>/', views.hrRecCandUpdate, name="rec2-hr-cand-update"),
	path('hr/cand/delete/<str:hashid>/<str:pk>/', views.hrRecCandDelete, name="rec2-hr-cand-delete"),
	path('hr/cand/lock/<str:pk>/', views.hrRecCandLock, name="rec2-hr-cand-lock"),
	path('hr/cand/detail/<str:hashid>/<str:hashid2>/', views.hrRecCandDetail, name="rec2-hr-cand-detail"),
	path('hr/cand/cv/list/<str:hashid>/', views.hrRecCvList, name="rec2-hr-cand-cv-list"),
	path('hr/cand/cv/add/<str:hashid>/<str:hashid2>/', views.hrCandAddCv, name="rec2-hr-cand-cv-add"),
	path('hr/cand/cv/update/<str:hashid>/<str:hashid2>/<int:pk>/', views.hrCandUpdatCv, name="rec2-hr-cand-cv-update"),
	path('hr/cand/cv/pdf/<str:pk>/', views.RecCandCV, name="rec2-hr-cand-cv-pdf"),
	path('hr/cand/sum/list/<str:hashid>/<str:hashid2>/', views.hrRecsSumList, name="rec2-hr-cand-sum-list"),
	path('hr/cand/sum/add/<str:hashid>/<str:hashid2>/', views.hrCandAddSummary, name="rec2-hr-cand-sum-add"),
	path('hr/cand/sum/add2/<str:hashid>/<str:hashid2>/<int:pk>/', views.hrCandAddSummary2, name="rec2-hr-cand-sum-add2"),
	path('hr/cand/sum/update/<str:hashid>/<str:hashid2>/<int:pk>/', views.hrCandUpdatSummary, name="rec2-hr-cand-sum-update"),
	path('hr/cand/sum/delete/<str:hashid>/<str:hashid2>/<int:pk>/', views.hrCandDeleteSummary, name="rec2-hr-cand-sum-delete"),
	#
	path('hr/cand/shortlist/add/<str:hashid>/<str:hashid2>/', views.hrRecShortListAdd, name="rec2-hr-cand-shortlist-add"),
	path('hr/cand/shortlist/update/<str:pk>/', views.hrRecShortListUpdate, name="rec2-hr-cand-shortlist-update"),
	path('hr/cand/shortlist/del/<str:pk>/', views.hrRecShortListDel, name="rec2-hr-cand-shortlist-del"),
	path('hr/cand/wrriten/add/<str:hashid>/<str:hashid2>/', views.hrRecWrittenAdd, name="rec2-hr-cand-written-add"),
	path('hr/cand/wrriten/update/<str:pk>/', views.hrRecWrittenUpdate, name="rec2-hr-cand-written-update"),
	path('hr/cand/wrriten/del/<str:pk>/', views.hrRecWrittenDel, name="rec2-hr-cand-written-del"),
	path('hr/cand/oral/add/<str:hashid>/<str:hashid2>/', views.hrRecOralAdd, name="rec2-hr-cand-oral-add"),
	path('hr/cand/oral/update/<str:pk>/', views.hrRecOralUpdate, name="rec2-hr-cand-oral-update"),
	path('hr/cand/oral/del/<str:pk>/', views.hrRecOralDel, name="rec2-hr-cand-oral-del"),
	path('hr/cand/wrriten/pdf/<str:hashid>/', views.RecFileCandWriPDF, name="rec2-hr-cand-written-pdf"),
	path('hr/cand/oral/pdf/<str:hashid>/', views.RecFileCandOralPDF, name="rec2-hr-cand-oral-pdf"),
	#
	path('hr/cand/score/ref/<str:hashid>/', views.hrRecScoreRef, name="rec2-hr-cand-score-ref"),
	path('hr/cand/final/desc/<str:hashid>/', views.hrRecFinalDec, name="rec2-hr-cand-final-desc"),
	path('hr/cand/result/list/<str:hashid>/<str:pk>/', views.hrRecCandResultList, name="rec2-hr-cand-result-list"),
	path('hr/cand/short-list/<str:hashid>/<str:pk>/<str:page>/', views.hrRecCandResultShortList, name="rec2-hr-cand-short-list"),
	path('hr/cand/result/detail/<str:hashid>/<str:pk>/<str:pk2>/', views.hrRecCandResultDet, name="rec2-hr-cand-result-det"),
	path('hr/planos/sort/<str:hashid>/<str:pk>/', views.hrRecPlanPosSort, name="rec2-hr-planpos-sort"),
	#
	path('u/cand/list/<str:pk>/<str:pk2>/', views.uRecCandList, name="rec2-u-cand-list"),
	path('u/cand/detail/<str:hashid>/<str:hashid2>/<str:pk>/', views.uRecCandDetail, name="rec2-u-cand-detail"),
	path('u/cand/shortlist/add/<str:hashid>/<str:hashid2>/<str:pk>/', views.uRecShortListAdd, name="rec2-u-cand-shortlist-add"),
	path('u/cand/shortlist/update/<str:pk>/<str:pk2>/', views.uRecShortListUpdate, name="rec2-u-cand-shortlist-update"),
	path('u/cand/shortlist/del/<str:pk>/<str:pk2>/', views.uRecShortListDel, name="rec2-u-cand-shortlist-del"),
	path('u/cand/wrriten/add/<str:hashid>/<str:hashid2>/<str:pk>/', views.uRecWrittenAdd, name="rec2-u-cand-written-add"),
	path('u/cand/wrriten/update/<str:pk>/<str:pk2>/', views.uRecWrittenUpdate, name="rec2-u-cand-written-update"),
	path('u/cand/wrriten/del/<str:pk>/<str:pk2>/', views.uRecWrittenDel, name="rec2-u-cand-written-del"),
	path('u/cand/oral/add/<str:hashid>/<str:hashid2>/<str:pk>/', views.uRecOralAdd, name="rec2-u-cand-oral-add"),
	path('u/cand/oral/update/<str:pk>/<str:pk2>/', views.uRecOralUpdate, name="rec2-u-cand-oral-update"),
	path('u/cand/oral/del/<str:pk>/<str:pk2>/', views.uRecOralDel, name="rec2-u-cand-oral-del"),
	#
	path('cand/result/list/<str:hashid>/<str:pk>/', views.RecCandResultList, name="rec2-cand-result-list"),
	path('print/result/list/<str:hashid>/<str:pk>/', views.printRecCandResult, name="rec2-print-result"),
	
]